Subject: Re: bug#46118: 28.0.50; Input method russian-computer ignores caps lock on some keys

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 14 Jun 2022 14:53:47 +0200

Filipp Gunbin <[email-masked]> writes:

> macOS, tty emacs in Terminal.app:
>
> emacs -Q -nw
> C-u C-\ russian-computer RET
> <caps lock>
>
> Then, typing a key which is a letter key in English layout behaves
> normally, like:
>
> a => Ф
> Shift + a => Ф
>
> (both upcase)
>
> But a key which is a non-letter key in English layout just ignores caps
> lock:
>
> ' => э (lowcase)
> Shift + ' => Э (upcase)

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I've tested now on Macos: By default, with caps lock, hitting Shift +
letter has no effect -- you still get an upcased letter.  However, caps
lock has no effect on the non-letter keys, so shift does affect those
keys, which explains what you're seeing.

But I'm not sure there's anything we can do here on the Emacs side?
I.e., we get an "'" event from the OS, but do we know that it's the
result of a Caps Lock + Shift + '?  Anybody?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no